<?php

/* exportpop3.php

   This is a demo application for the pop3.stream.php wrapper. It downloads the contents of a POP3 account
   and saves the emails to text files in a "exportpop3" folder. */

require("pop3.stream.php");

if ($argc!=4) {
	die("exportpop3.php [username] [password] [server]\n");
}

$dir="pop3://$argv[1]:$argv[2]@$argv[3]/";

// create a directory
@mkdir("exportpop3");

if ($dh = opendir($dir)) {
	while (($file = readdir($dh)) !== false) {
		echo "Downloading $file (".number_format(filesize($dir.$file))." Bytes)...\n";
		if ($eh=fopen($dir.$file,'r')) {
			if ($fh=fopen("exportpop3/$file.txt",'w')) {
				while(!feof($eh)) {
					fwrite($fh,fread($eh,1024));
				}
			} else {
				die("Could not write to $file.txt!\n");
			}			
			fclose($eh);
		} else {
			die("Could not download $file!\n");
		}
	}
	closedir($dh);
}

?>
